IRPCSharedLinks.GetExternalLinks

View as Markdown

Vault API / standard write session or assertion returns metadata structure version

Lists the external links of an object.

ServiceShared links MFiles.IRPCSharedLinks
gRPC method/MFiles.IRPCSharedLinks/GetExternalLinks
HTTP (mf-http-grpc)POST /grpc/v1/get-external-links
RequestGetExternalLinksRequest
ResponseGetExternalLinksResponse
Book and levelVault API, standard
Kindwrite
SessionRequired: a session (mfiles-session-id-bin metadata) or a session assertion (x-mf-session-assertion metadata).
Idempotentno
Returns metadata structure versionyes (in the mfiles-metadata-version-bin trailer)
Streamingnone (unary)

Remarks

Request: GetExternalLinksRequest

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
obj_idObjIDThe object.
obj_id.typeint32The object type ID, for example 0 for documents. In a lookup value, the value list ID (for a lookup to objects, the object type ID).
obj_id.item_idItemIDThe ID of the object within its type, in item_id.internal_id.
obj_id.item_id.internal_idint32The ID of the object or value list item.
obj_id.item_id.external_repository_idExternalRepositoryIDUsed only for objects in external repositories (external connectors). Leave it unset for objects stored in the vault.

Response: GetExternalLinksResponse

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
external_shared_links[]repeated SharedLinkInfoThe external links, including their access keys.
external_shared_links[].access_keystringThe access key of the shared link.
external_shared_links[].descriptionstringThe description of the shared link.
external_shared_links[].created_at_utcgoogle.protobuf.TimestampThe creation time for the shared link. Is set by the server. Should be FILETIME_ZERO, when creating a new link.
external_shared_links[].expires_at_utcgoogle.protobuf.TimestampThe expiration time for the shared link. Use FILETIME_ZERO to indicate no expiration time.
external_shared_links[].obj_verObjVerThe object version referenced by the shared link.
external_shared_links[].obj_ver.obj_idObjIDThe object.
external_shared_links[].obj_ver.versionObjVerVersionThe version. Usually OBJ_VER_VERSION_TYPE_SPECIFIC with internal_version.
external_shared_links[].created_by_userint32The creator of this shared Link.
external_shared_links[].file_verFileVerThe file version referenced by the shared link.
external_shared_links[].file_ver.file_idFileIDThe file.
external_shared_links[].file_ver.typeFileVerTypeFILE_VER_TYPE_SPECIFIC for a file version number.Values: FILE_VER_TYPE_UNINITIALIZED (0), FILE_VER_TYPE_LATEST (1), FILE_VER_TYPE_ANY (2), FILE_VER_TYPE_SPECIFIC (3).
external_shared_links[].file_ver.internal_versionint32The file version number.
external_shared_links[].file_ver.external_repository_versionstringUsed only for files in external repositories. Leave empty.
external_shared_links[].file_ver.external_repository_sort_keyint64Used only for files in external repositories. Leave 0.
external_shared_links[].shared_link_typeSharedLinkTypeType of the shared link.Values: SHARED_LINK_TYPE_READ_ONLY (0), SHARED_LINK_TYPE_CO_AUTHORING (1), SHARED_LINK_TYPE_WOPIREADONLY (2), SHARED_LINK_TYPE_WOPIEDIT (3), SHARED_LINK_TYPE_VISITOR (4), SHARED_LINK_TYPE_EXTERNAL (5).
external_shared_links[].is_anyone_access_grantedboolTrue if any user has granted public access to the document.
external_shared_links[].anyone_access_granted_by_userint32The user who has granted public access to the document.
external_shared_links[].external_shared_link_access_typeExternalSharedLinkAccessTypeAccess type of the external shared link.Values: EXTERNAL_SHARED_LINK_ACCESS_TYPE_UNINITIALIZED (0), EXTERNAL_SHARED_LINK_ACCESS_TYPE_DOWNLOAD (1), EXTERNAL_SHARED_LINK_ACCESS_TYPE_PREVIEW (2), EXTERNAL_SHARED_LINK_ACCESS_TYPE_EDIT (3).
external_shared_links[].created_by_user_namestringThe user who created the shared link.
external_shared_links[].anyone_access_granted_by_user_namestringThe user who granted public access.
legacy_shared_link_existboolTrue if the latest version of the object also has read-only or visitor links.